<template>

	<div>
		<div class="col-md-12">
			<h1>{{ value.title }}</h1>
		</div> 
		<div class="col-md-7 " >
			<div class="box box-block scroll-area" style='overflow:scroll'>
				<h5>{{ value.subtitle }}</h5>
				<div style="height: 200px;">
					<p v-html="value.body.replace(/(?:\r\n|\r|\n)/g, '<br>')"></p>
				</div>
			</div>
		</div>
		<div class="col-md-5"  v-viewer>
			<img src="/images/img3.png" style="width:100%" v-if="value.imgType == 'default'">
			<img :src="value.img" style="width:100%" v-else>
		</div>

		<!-- component -->
		<Viewer :images="images">
			<img v-for="src in images" :src="src" :key="src">
		</Viewer>
	</div>

</template>

<script>	
	import { config } 		from './config'
	import { mapActions } 	from 'vuex'
	import ResultTypes from '../../../../utils/ResultTypes'

	export default{
		name 	: config.component,
		props 	: config.props,
		methods : {
	  		...mapActions([
		      'evaluate',
			]),
		},
		data(){
            return {
                images : [],
            }
        },
		mounted(){
			
			let isPreview = window.location.href.split('/')[3] == 'course-preview'
				if(isPreview){
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), 4 * 1000)
				}
				else{
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), this.value.readingTime * 1000)
					}
			this.images[0] = (value.imgType == 'default')?'/images/img3.png':value.img;
		},
		updated(){
			let isPreview = window.location.href.split('/')[3] == 'course-preview'
				if(isPreview)
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), 4 * 1000)
				else
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), this.value.readingTime * 1000)
		}
	}
</script>